cURL
curl --request GET \
--url https://aodocs.altirnao.com/api/document/v1beta1/{documentId}/comments \
--header 'Authorization: Bearer <token>'import requests
url = "https://aodocs.altirnao.com/api/document/v1beta1/{documentId}/comments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aodocs.altirnao.com/api/document/v1beta1/{documentId}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"comments": [
{
"actionAppliedName": "<string>",
"actionAppliedName_i18n": "<string>",
"author": {
"email": "<string>",
"kind": "<string>",
"name": "<string>",
"nonGoogle": true,
"thumbnailPictureUrl": "<string>"
},
"createdTime": "2023-11-07T05:31:56Z",
"fromStateName": "<string>",
"fromStateName_i18n": "<string>",
"id": "<string>",
"kind": "<string>",
"message": "<string>",
"modifiedTime": "2023-11-07T05:31:56Z",
"replies": [
{
"author": {
"email": "<string>",
"kind": "<string>",
"name": "<string>",
"nonGoogle": true,
"thumbnailPictureUrl": "<string>"
},
"createdTime": "2023-11-07T05:31:56Z",
"id": "<string>",
"kind": "<string>",
"message": "<string>",
"modifiedTime": "2023-11-07T05:31:56Z"
}
],
"toStateName": "<string>",
"toStateName_i18n": "<string>"
}
],
"kind": "<string>",
"nextPageToken": "<string>"
}documentId
Get documentv1beta1 comments
Lists the comments put on the document.
GET
/
document
/
v1beta1
/
{documentId}
/
comments
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the document
Query Parameters
The maximum number of comments per page. (Default: 50)
DEPRECATED. Use pageToken instead.
The token for continuing a previous list request on the next page. This should be set to the value of 'nextPageToken' from the previous response.
The G Suite domain
The security code
⌘I